Retrieve a Notebook

ExperimentalThis API is under active development and may change.
GET /api/0/organizations/{organization_id_or_slug}/notebooks/{notebook_id}/

Return notebook metadata, source context, filters, project IDs, parameter definitions and saved values, and ordered active blocks. Poll this endpoint for notebook and block output updates. Requires the organizations:investigations feature and open organization membership.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

notebook_id (string)
REQUIRED

The ID of an investigation in this organization.

Scopes

<auth_token> requires one of the following scopes:
  • org:admin
  • org:read
  • org:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/notebooks/{notebook_id}/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
{ "id": "7", "title": "Checkout latency", "summary": null, "summaryDescription": null, "status": "active", "sourceType": "manual", "createdBy": "1", "creator": { "type": "user", "id": "1" }, "dateCreated": "2026-11-10T17:55:00.000000Z", "dateUpdated": "2026-11-10T18:00:00.000000Z", "version": 2, "blockCount": 1, "isFavorited": false, "titleGeneration": { "status": null }, "orchestration": null, "template": null, "source": { "type": "manual", "ref": {}, "revision": null }, "filters": {}, "projectIds": [ 1 ], "parameters": [], "blocks": [ { "id": "12", "position": 0, "kind": "text", "title": "Summary", "content": "Checkout latency rose after the 2.4.0 release.", "generationPrompt": "", "generatedContent": "Checkout latency rose after the 2.4.0 release.", "output": { "schemaVersion": 1, "markdown": "Checkout latency rose after the 2.4.0 release." }, "outputStatus": "available", "currentExecution": { "id": "40", "status": "completed", "executor": "code_mode", "schemaVersion": 1, "startedAt": "2026-11-10T18:00:00.000000Z", "completedAt": "2026-11-10T18:00:00.000000Z", "error": null }, "config": {}, "display": { "type": "markdown" }, "dependencies": [], "parameterKeys": [], "version": 1, "staleAt": null, "createdBy": null, "lastEditedBy": null, "producerKey": "summary", "producerRevision": 1 } ], "actionRequests": [] }
Was this helpful?